#!/bin/bash

set -e

# Link dynamically
perl -pi -e 's/\-static //' makefile

echo "DEST_DIR=${PREFIX}" > make.config
echo "MAN_DIR=${PREFIX}/share/man/man1" >> make.config

if [ `uname -s` = "Darwin" ]; then
  # Note that this can't work right now because DSSP needs C++0x
  # and libc++, but the conda Boost package is linked against the
  # legacy libstdc++ library
  echo "BOOST_INC_DIR=${BUILD_PREFIX}/include/boost-mac" >> make.config
  echo "BOOST_LIB_DIR=${BUILD_PREFIX}/lib/boost-mac" >> make.config
  perl -pi -e "s#^(CFLAGS.*)#\$1 -I${PREFIX}/include#" makefile
  perl -pi -e "s#^(LDOPTS.*)#\$1 -L${PREFIX}/lib#" makefile
else
  echo "BOOST_INC_DIR=${BUILD_PREFIX}/include" >> make.config
  echo "BOOST_LIB_DIR=${BUILD_PREFIX}/lib" >> make.config
  # Use conda-provided cxx
  perl -pi -e 's/^CXX/#CXX/' makefile
fi

make -j4 install
